{% extends 'base.html' %}
{% load f1 %}

{% block title %}
    Blog Home
{% endblock %}

{% block content  %}
     
    <div class="row" >
        {% if request.user.is_authenticated %}
            <a href="{% url 'blog:post-create' %}" class="btn btn-primary active" style="width: 20%;">Create New Post</a>
        {% endif %}
         <p style="font-family: 'Brush Script MT', cursive; font-size:35px;" class="mt-2">All Posts</p> 
        {% if messages %}
            {% for message in messages %}
                <p class="errors">{{ message }}</p>
            {% endfor %}
        {% endif %}
        <hr>
        {% if posts %}
            {% for post in page_obj %}
                <div class="row mb-2">
                    <div class="col-lg-3">
                        <a  href="{{ post.get_absolute_url }}" class="btn btn-secondary btn-sm" >Votes: {{ post.vote_count }}</a> <a  href="{{ post.get_absolute_url }}" class="btn btn-secondary btn-sm">Comments: {{ post.comments.all|length }}</a>
                    </div>
                    <div class="col-lg-9">
                        {% comment %} <h3><a href="{% url 'post-detail' slug=post.slug %}">{{ post.title }}</a></h3> {% endcomment %}
                        <p style="display:inline; font-size:18px;" ><a href="{{ post.get_absolute_url }}">{{ post.title }}</a> <span class="text-muted" style="font-size:14px"> by</span> {{ post.author.username }} <span class="text-muted" style="font-size:14px"> on {{ post.date_time }} </span></p>
                       {% comment %}  <p>{{ post.content|content_cut:20 }}...</p> {% endcomment %}
                    </div>
                </div>
                <hr>
            {% endfor %} 
            <div>
                <span>
                    {% if page_obj.has_previous %}
                        <a href="?page={{ page_obj.previous_page_number }}" class="pagination-link btn btn-sm">Previous</a>
                    {% endif %}

                    <span class="current-page">{{ page_obj.number }}</span>
                    
                    {% if page_obj.has_next %}
                        <a href="?page={{ page_obj.next_page_number }}" class="btn btn-sm pagination-link">Next</a>
                    {% endif %}
                </span>
            </div>
        {% else %}
            <p>No posts yet!</p>
        {% endif %}
    </div>
{% endblock %}